@media (max-width: 1750px) {
  /* Hero section */
  .hero-section img {
    height: 300px;
  }

  .hero-container {
    padding: 100px 0 250px 0;
  }

  .hero-content > * {
    margin-bottom: 15px;
  }

  .hero-content h1 {
    font-size: var(--font-size-xl);
    width: 400px;
  }

  .hero-content p {
    width: 350px;
    font-size: var(--font-size-xxs);
  }

  /* Exhibition spaces section */
  .exhibition-section {
    padding: 100px;
  }

  .exhibition-section h2 {
    font-size: var(--font-size-lg);
    text-align: center;
    margin: 0 20px;
  }

  .exhibition-content {
    gap: 50px;
    padding: 50px 0 50px 0;
  }

  .exhibition-card {
    padding: 20px;
  }

  .exhibition-card h3 {
    font-size: var(--font-size-xs);
  }

  .card-image {
    height: 150px;
    width: 200px;
    border-radius: var(--border-radius-small);
  }
}

@media (max-width: 1600px) {
  /* Explore section */
  .explore-content {
    max-width: 300px;
  }

  .explore-content h2 {
    font-size: var(--font-size-xl);
  }

  .explore-content section h3,
  .card-section h3 {
    font-size: var(--font-size-xs);
  }

  .explore-image {
    height: 470px;
  }

  .explore-card {
    width: 268px;
    padding: 25px;
    border-radius: var(--border-radius-medium);
  }

  .explore-card p {
    font-size: var(--font-size-xxxxs);
  }

  /* Special events section */
  .special-events-content h2 {
    font-size: var(--font-size-base);
  }

  .professor-image {
    height: 380px;
  }

  .news-card,
  .professor-card {
    padding: 20px;
    border-radius: var(--border-radius-medium);
  }

  .professor-image,
  .news-card img {
    border-radius: var(--border-radius-small);
  }

  .news-card img {
    width: 220px;
    height: 150px;
    object-fit: cover;
  }

  .news-text {
    width: 200px;
    text-align: center;
  }
}

@media (max-width: 1300px) {
  /* Shared layout */
  .hero-container,
  .explore-container,
  .special-events-section {
    width: var(--smaller-screen-width);
    max-width: 1000px;
  }
}

@media (max-width: 1020px) {
  /* Shared slider styling*/
  .exhibition-slider-wrapper,
  .special-events-slider-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
  }
  .slider-button,
  .special-events-slider-wrapper .slider-button {
    background: none;
    border: none;
    color: var(--primary-color);
    cursor: pointer;
    z-index: 2;
    padding: 0 10px;
    transition: color 0.2s;
    height: var(--scalable-height);
    display: flex;
    align-items: center;
  }
  .slider-button:hover,
  .special-events-slider-wrapper .slider-button:hover {
    color: var(--accent-color);
    outline: none;
  }
  .slider-prev,
  .special-events-slider-wrapper .slider-prev {
    order: 0;
  }
  .exhibition-content,
  .special-events-cards {
    order: 1;
    flex: 1 1 auto;
    min-width: 0;
    min-height: 320px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .slider-next,
  .special-events-slider-wrapper .slider-next {
    order: 2;
  }

  .fa-chevron-left,
  .fa-chevron-right {
    font-size: 50px;
  }

  .news-card,
  .professor-card {
    width: var(--scalable-width);
    margin: var(--centering);
  }

  /* Shared layout */
  .explore-container,
  .special-events-section {
    width: var(--mobile-screen-width);
    max-width: 530px;
    padding: 100px 0;
  }

  /* Hero section */
  .hero-section img {
    height: 270px;
  }

  .hero-container {
    padding: 50px 0 180px 0;
  }

  .hero-content h1 {
    font-size: var(--font-size-lg);
    width: 250px;
  }

  .hero-content p {
    width: 250px;
    font-size: var(--font-size-xxxs);
  }

  /* Exhibition spaces section */
  .exhibition-content {
    flex-direction: column;
  }

  .exhibition-card {
    padding: 30px;
  }

  .exhibition-card h3 {
    font-size: var(--font-size-xs);
  }

  .card-image {
    height: 250px;
    width: 350px;
  }

  /* Explore section */
  .explore-container {
    flex-direction: column;
    align-items: center;
  }

  .explore-content {
    max-width: var(--scalable-width);
  }

  .explore-content h2 {
    font-size: var(--font-size-lg);
  }

  .explore-image {
    height: auto;
  }

  .card-section {
    gap: 50px;
  }

  .explore-card {
    width: var(--scalable-width);
  }

  /* Special events section */
  .special-events-content h2 {
    margin: 0 20px;
  }

  .special-events-section {
    flex-direction: column;
    gap: 50px;
    text-align: center;
  }

  .special-events-section a h4 {
    font-size: var(--font-size-xxs);
    width: var(--scalable-width);
    margin-bottom: 20px;
  }

  .special-events-content h3 {
    margin: 0;
  }

  .professor-image {
    width: var(--scalable-width);
    height: 250px;
    object-fit: cover;
  }

  .special-events-cards {
    gap: 50px;
  }

  .news-card img {
    width: var(--scalable-width);
    height: 250px;
  }

  .news-card,
  .professor-card {
    padding: 30px;
  }
}

@media (max-width: 830px) {
  /* Menu */
  .menu {
    background-color: var(--secondary-color);
  }

  /* Hamburger menu */
  .hamburger-icon,
  .icon-mobile-section > * {
    color: var(--primary-light);
  }

  /* Hero section */
  .hero-section img {
    height: 270px;
    width: var(--scalable-width);
    object-fit: contain;
  }

  .hero-container {
    flex-direction: column;
    gap: 50px;
    padding: 50px 0 100px 0;
    width: var(--mobile-screen-width);
  }

  .hero-content {
    width: var(--scalable-width);
    max-width: 380px;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .hero-content h1 {
    font-size: var(--font-size-lg);
    width: var(--scalable-width);
  }

  .hero-content p {
    font-size: var(--font-size-xxxs);
    width: var(--scalable-width);
  }

  /* Exhibition section */
  .exhibition-section {
    padding: 50px 30px;
  }

  .exhibition-content {
    max-width: 400px;
  }

  .special-events-section {
    width: calc(100% - 20px);
  }
}

@media (max-width: 520px) {
  .exhibition-slider-wrapper,
  .special-events-slider-wrapper {
    gap: 0;
  }

  .explore-container,
  .special-events-section {
    padding: 50px 0;
  }

  .exhibition-section {
    padding: 50px 10px;
  }

  .special-events-section {
    gap: 0;
  }

  .exhibition-card,
  .news-card,
  .professor-card {
    padding: 20px;
  }

  .card-image,
  .news-card img,
  .professor-image {
    height: 150px;
    width: var(--scalable-width);
    border-radius: var(--border-radius-small);
  }

  .special-events-cards,
  .exhibition-card {
    max-width: 260px;
  }
}
